VS 2017を使用しないときにASP.NET Core Blazor Language Servicesをインストールするには?

blazor c# visual-studio-2017 visual-studio-extensions

質問

私はこのチュートリアルからBlazorアプリケーションを構築する方法を学んでいます。必要なツールは次のとおりです。

  • .NET Core 2.1 SDK(2.1.300-preview2-008533以降)をインストールします。
  • Visual Studio 2017(15.7 Preview 5以降)を、ASP.NETおよびWeb開発ワークロードを選択してインストールします。
  • Visual Studio Marketplaceから最新のBlazor Language Services拡張機能をインストールしてください。

VS 2017のダウンロードとインストールには時間がかかりますので、SDKをインストールしました。言語サービス( .vsixファイル)もダウンロードしましたが、インストール方法はわかりません。

次のステップは成功しました。

md test
cd test


dotnet new -i Microsoft.AspNetCore.Blazor.Templates
dotnet new blazor -o ba1
cd ba1

しかし、以下の

dotnet run

次のようなエラーが発生します。

CSC:error CS1617:/ langversionに無効なオプション '7.3'があります。 '/ langversion :?'を使用してください。サポートされている値をリストします。 [C:\ Users \ amd \ test \ ba1 \ ba1.csproj]

質問

それは私が言語サービスをインストールする必要があるようだが、それはVS 2017せずに行うことができますか?

編集

なぜVS 2017をインストールしなかったのかというコメントに答えるために、私は実際には想定していなかったと仮定しました。チュートリアルの抜粋を参照してください。

ここに画像の説明を入力

受け入れられた回答

言語サービスはVisual Studioのインテリセンス用です。 Visual Studioを使用していない場合は、インストールする必要はありません。現在、VSCodeのためのブレーザーインテリセンスサポートはありません。

7.3エラーについては、 ここを参照してください。




ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ
ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ